/* [config]
 * expect_result: fail
 * glsl_version: 1.30
 * require_extensions: GL_ARB_texture_query_lod
 * [end config]
 */

#version 130
#extension GL_ARB_texture_query_lod : enable

uniform sampler3D s;
uniform vec3 coord;

void main()
{
    gl_Position.xy = textureQueryLOD(s, coord);
}
